summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCédric Krier <cedk@gentoo.org>2007-05-30 20:16:55 +0000
committerCédric Krier <cedk@gentoo.org>2007-05-30 20:16:55 +0000
commit82b1b26d20ac7c11ed34b15325c804ab5763f82c (patch)
tree602ea7f84df02ab31d0342034091602a468a888c /net-firewall/nufw
parentx11-misc/dmenu: Version bump (diff)
downloadhistorical-82b1b26d20ac7c11ed34b15325c804ab5763f82c.tar.gz
historical-82b1b26d20ac7c11ed34b15325c804ab5763f82c.tar.bz2
historical-82b1b26d20ac7c11ed34b15325c804ab5763f82c.zip
net-firewall/nufw: Version bump
Package-Manager: portage-2.1.2.7
Diffstat (limited to 'net-firewall/nufw')
-rw-r--r--net-firewall/nufw/ChangeLog7
-rw-r--r--net-firewall/nufw/Manifest16
-rw-r--r--net-firewall/nufw/files/digest-nufw-2.0.203
-rw-r--r--net-firewall/nufw/nufw-2.0.20.ebuild85
4 files changed, 106 insertions, 5 deletions
diff --git a/net-firewall/nufw/ChangeLog b/net-firewall/nufw/ChangeLog
index 1ddbcbbd61cf..154511bddc09 100644
--- a/net-firewall/nufw/ChangeLog
+++ b/net-firewall/nufw/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for net-firewall/nufw
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-firewall/nufw/ChangeLog,v 1.10 2007/04/14 14:00:55 cedk Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/nufw/ChangeLog,v 1.11 2007/05/30 20:16:55 cedk Exp $
+
+*nufw-2.0.20 (30 May 2007)
+
+ 30 May 2007; Cédric Krier <cedk@gentoo.org> +nufw-2.0.20.ebuild:
+ Version bump
14 Apr 2007; Cedric Krier <cedk@gentoo.org> -nufw-2.0.13.ebuild,
-nufw-2.0.14.ebuild:
diff --git a/net-firewall/nufw/Manifest b/net-firewall/nufw/Manifest
index 19df1ffc1c9c..1c08dacfc34a 100644
--- a/net-firewall/nufw/Manifest
+++ b/net-firewall/nufw/Manifest
@@ -16,6 +16,7 @@ RMD160 3aae0f4b5d77f4af5c1966570112fed29dda17a1 files/nufw-init.d 276
SHA256 972c3c94a7e290985cc7e8a0ccc40dfa0e10d7eee44e218c70f6fc7f8ed73f9d files/nufw-init.d 276
DIST nufw-2.0.17.tar.bz2 665673 RMD160 d85dc9469dad3416e95deae9f41fa1785c4166d0 SHA1 22a8882f23c54f198fcd7fe3a08b9d8027a44e96 SHA256 cfc9e53edf803d0c7eeea1d0b092beffbe81403c5ced1fffad7bffb1b3520537
DIST nufw-2.0.19.tar.bz2 686993 RMD160 67f67ad1d677b04b8f8405efed0ba7e0147bd57d SHA1 f2f5942c359661095d7e1af1ffb17932a2368a88 SHA256 1343e169559478d5b0e8cf6b155004267d35b0c78eef49d440a70107692fc744
+DIST nufw-2.0.20.tar.bz2 689034 RMD160 e0bab63e43d3be6da6ec1e1be1bdf02561df3c8f SHA1 7864060644ad47725dd0e12f4509ecb0c709f8ee SHA256 cab2f195fda47cde4388d9a5402e8141ad3d4088b0fe578682c94bdaf90f53e2
DIST nufw-2.1.1.tar.bz2 728051 RMD160 45312e0a508aaeebf4f9ddd8112dda22c1865030 SHA1 64b483cd24760e62d308420fb6577165fac979eb SHA256 5b28b09a27f8d71b3b5cd185f3e881afeb91128d7a9854381b86889a3153134c
EBUILD nufw-2.0.17.ebuild 2181 RMD160 dc1990acf1449a77efb77dd1cb998f85601f4846 SHA1 00f942acb701064bec7da39d6b03610e7486b0c3 SHA256 26a0b9e27d1d757b14e7c64e47983137b84d4d05de64c0bdfee619fdb41a2fbe
MD5 b5d7f3546cfaca7a6a9de47d54bc82fc nufw-2.0.17.ebuild 2181
@@ -25,14 +26,18 @@ EBUILD nufw-2.0.19.ebuild 2181 RMD160 5ae347cbbf96da785ef1a031afa1bec84ada50de S
MD5 e316657682a80119692842b789c5b17a nufw-2.0.19.ebuild 2181
RMD160 5ae347cbbf96da785ef1a031afa1bec84ada50de nufw-2.0.19.ebuild 2181
SHA256 b021452e5f0817a6efda753646b15c75bbe0a5386dec015fdbec2ae52294966d nufw-2.0.19.ebuild 2181
+EBUILD nufw-2.0.20.ebuild 2181 RMD160 320fbdcc1639e8222f435a580ed3a2f57af17b65 SHA1 788879ba08526e9630cbc8c5f36772b0bd3f8855 SHA256 f94d37e01ceb5db00efa2699afa5d38cc4c1151dc621e4027fd7abf2ec341e70
+MD5 8b54347a902c1a99ab97100d50a2daaf nufw-2.0.20.ebuild 2181
+RMD160 320fbdcc1639e8222f435a580ed3a2f57af17b65 nufw-2.0.20.ebuild 2181
+SHA256 f94d37e01ceb5db00efa2699afa5d38cc4c1151dc621e4027fd7abf2ec341e70 nufw-2.0.20.ebuild 2181
EBUILD nufw-2.1.1.ebuild 2203 RMD160 174aebda82c67df23450744c506b4e22767aa870 SHA1 4d551facb01ed286799a7f9e8012db9ea0e3fda7 SHA256 b5689d6c9021ff779bccb636bb95de70f991936b255a586137d6043efe187438
MD5 30cc3e4aa5453532d8b37f846510ec0d nufw-2.1.1.ebuild 2203
RMD160 174aebda82c67df23450744c506b4e22767aa870 nufw-2.1.1.ebuild 2203
SHA256 b5689d6c9021ff779bccb636bb95de70f991936b255a586137d6043efe187438 nufw-2.1.1.ebuild 2203
-MISC ChangeLog 1416 RMD160 bef9a16ece212361a1c62f8965fda98087f8bd8d SHA1 34954b5f0e47590efbbe6db832ccdccbfb20e04f SHA256 78b6069ad154694543f904f97e1c4a2d9325fc5f720cddff5b1276f488872289
-MD5 812372cc878d24981b5382a5684c7c47 ChangeLog 1416
-RMD160 bef9a16ece212361a1c62f8965fda98087f8bd8d ChangeLog 1416
-SHA256 78b6069ad154694543f904f97e1c4a2d9325fc5f720cddff5b1276f488872289 ChangeLog 1416
+MISC ChangeLog 1528 RMD160 ac18ab099427b01d23389a7493b44a75fb9d7a8c SHA1 50a709c207c3102935f11ec0e80e6cdd7f23dea3 SHA256 a3ff7df5c907d3eebec4d13fdd5afdc0379b241cb4fb6e6210064f7b6566b47d
+MD5 7549fbd2342fdf91edfe6c1637000a5c ChangeLog 1528
+RMD160 ac18ab099427b01d23389a7493b44a75fb9d7a8c ChangeLog 1528
+SHA256 a3ff7df5c907d3eebec4d13fdd5afdc0379b241cb4fb6e6210064f7b6566b47d ChangeLog 1528
MISC metadata.xml 317 RMD160 7462c099b149003e014c1f17e08dd5783de779c4 SHA1 15f04c20107acb198979af7c4270b40d6e0156a7 SHA256 4812839c16f73def560f5191e6141117e5729871ebbab6d02fc4a53bec2d9869
MD5 4b3e13fee26f7b6dccc9dab192144b92 metadata.xml 317
RMD160 7462c099b149003e014c1f17e08dd5783de779c4 metadata.xml 317
@@ -43,6 +48,9 @@ SHA256 bae8b10bb753ce56dacc7177cd6cb303dceb07d72b3838d90cccb32a5c7fc464 files/di
MD5 adf48a9d15ffee6e8d44648adedc795b files/digest-nufw-2.0.19 238
RMD160 c7ac77d646f3febeefabccb0ccffd61b464db87f files/digest-nufw-2.0.19 238
SHA256 79a6329bea103e8f48517b624f84337d75c903808cb4f15d057f37e505f3b860 files/digest-nufw-2.0.19 238
+MD5 a5504e4f51db9cfcabbe7bc13d71d4ce files/digest-nufw-2.0.20 238
+RMD160 88d789cf09dbf09ae1ebb87806178825b5b1efa9 files/digest-nufw-2.0.20 238
+SHA256 548f7fa2bf82448f88154dd903f8fb5dcd6c8790f96eb77c94307261987b2750 files/digest-nufw-2.0.20 238
MD5 a5a40b008549c5bedcde8927b5009e00 files/digest-nufw-2.1.1 235
RMD160 23ea2bdf6869f6c9b1fd13f0c916088dd66a11c6 files/digest-nufw-2.1.1 235
SHA256 bff40cc57cb0cd443575797469845c6317e1573a1be19d0a6e29c95116fd49f9 files/digest-nufw-2.1.1 235
diff --git a/net-firewall/nufw/files/digest-nufw-2.0.20 b/net-firewall/nufw/files/digest-nufw-2.0.20
new file mode 100644
index 000000000000..dc167d2201f4
--- /dev/null
+++ b/net-firewall/nufw/files/digest-nufw-2.0.20
@@ -0,0 +1,3 @@
+MD5 43362b8d6d6cc73c131cca9d0aa863e1 nufw-2.0.20.tar.bz2 689034
+RMD160 e0bab63e43d3be6da6ec1e1be1bdf02561df3c8f nufw-2.0.20.tar.bz2 689034
+SHA256 cab2f195fda47cde4388d9a5402e8141ad3d4088b0fe578682c94bdaf90f53e2 nufw-2.0.20.tar.bz2 689034
diff --git a/net-firewall/nufw/nufw-2.0.20.ebuild b/net-firewall/nufw/nufw-2.0.20.ebuild
new file mode 100644
index 000000000000..416f7192a834
--- /dev/null
+++ b/net-firewall/nufw/nufw-2.0.20.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-firewall/nufw/nufw-2.0.20.ebuild,v 1.1 2007/05/30 20:16:55 cedk Exp $
+
+inherit ssl-cert
+
+DESCRIPTION="An enterprise grade authenticating firewall based on netfilter"
+HOMEPAGE="http://www.nufw.org/"
+SRC_URI="http://www.nufw.org/download/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="debug gdbm ident ldap mysql pam pam_nuauth pic postgres prelude \
+unicode nfqueue nfconntrack static"
+
+DEPEND=">=dev-libs/glib-2
+ dev-libs/libgcrypt
+ >=dev-libs/cyrus-sasl-2
+ net-firewall/iptables
+ >=net-libs/gnutls-1.1
+ gdbm? ( sys-libs/gdbm )
+ ident? ( net-libs/libident )
+ ldap? ( >=net-nds/openldap-2 )
+ mysql? ( virtual/mysql )
+ pam? ( sys-libs/pam )
+ pam_nuauth? ( sys-libs/pam )
+ postgres? ( dev-db/postgresql )
+ nfqueue? ( net-libs/libnfnetlink
+ net-libs/libnetfilter_queue )
+ nfconntrack? ( net-libs/libnetfilter_conntrack )"
+RDEPEND=${DEPEND}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i \
+ -e "s/nuauth-key.pem/nuauth.key/" \
+ -e "s/nuauth-cert.pem/nuauth.pem/" \
+ conf/nuauth.conf || die "sed failed"
+}
+
+src_compile() {
+ econf \
+ $(use_enable static) \
+ $(use_enable pam_nuauth pam-nuauth) \
+ $(use_with pic) \
+ $(use_with prelude prelude-log) \
+ $(use_with mysql mysql-log) \
+ $(use_with postgres pgsql-log) \
+ $(use_with pam system-auth) \
+ $(use_with ldap) \
+ $(use_with gdbm) \
+ $(use_with ident) \
+ $(use_with nfqueue) \
+ $(use_with nfconntrack) \
+ $(use_with unicode utf8) \
+ $(use_enable debug) \
+ --sysconfdir="/etc/nufw" \
+ --localstatedir="/var" \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ newinitd "${FILESDIR}"/nufw-init.d nufw
+ newconfd "${FILESDIR}"/nufw-conf.d nufw
+
+ newinitd "${FILESDIR}"/nuauth-init.d nuauth
+ newconfd "${FILESDIR}"/nuauth-conf.d nuauth
+
+ insinto /etc/nufw
+ doins conf/nuauth.conf
+ docert nufw
+ docert nuauth
+ keepdir /var/run/nuauth
+
+ dodoc AUTHORS ChangeLog NEWS README TODO
+ docinto scripts
+ dodoc scripts/*
+ docinto conf
+ dodoc conf/*.{nufw,schema,conf,dump,xml}
+}